Bug 2056350 (CVE-2022-25313) - CVE-2022-25313 expat: Stack exhaustion in doctype parsing
Summary: CVE-2022-25313 expat: Stack exhaustion in doctype parsing
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-25313
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2058343 2056351 2056352 2057092 2057093 2057094 2057095 2057433 2058157 2058158 2058159 2058160 2058161 2058162 2058344 2070459 2078824 2078932
Blocks: 2056373
TreeView+ depends on / blocked
 
Reported: 2022-02-21 04:38 UTC by Avinash Hanwate
Modified: 2022-12-03 22:33 UTC (History)
39 users (show)

Fixed In Version: expat 2.4.5
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in expat. A stack exhaustion in doctype parsing could be triggered by a file with a large number of opening braces, resulting in a denial of service.
Clone Of:
Environment:
Last Closed: 2022-12-03 22:33:18 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:5244 0 None None None 2022-06-28 14:58:40 UTC
Red Hat Product Errata RHSA-2022:5314 0 None None None 2022-06-28 18:31:41 UTC
Red Hat Product Errata RHSA-2022:7143 0 None None None 2022-10-26 20:21:45 UTC
Red Hat Product Errata RHSA-2022:7144 0 None None None 2022-10-26 20:08:13 UTC
Red Hat Product Errata RHSA-2022:7811 0 None None None 2022-11-08 10:34:10 UTC

Description Avinash Hanwate 2022-02-21 04:38:52 UTC
In Expat (aka libexpat) before 2.4.5, an attacker can trigger stack exhaustion in build_model via a large nesting depth in the DTD element.

https://github.com/libexpat/libexpat/pull/558
http://www.openwall.com/lists/oss-security/2022/02/19/1

Comment 1 Avinash Hanwate 2022-02-21 04:39:25 UTC
Created expat tracking bugs for this issue:

Affects: fedora-all [bug 2056351]


Created mingw-expat tracking bugs for this issue:

Affects: fedora-all [bug 2056352]

Comment 2 Mauro Matteo Cascella 2022-02-22 17:50:25 UTC
Upstream commit:
https://github.com/libexpat/libexpat/commit/9b4ce651b26557f16103c3a366c91934ecd439ab

Comment 5 Mauro Matteo Cascella 2022-02-23 11:52:02 UTC
Created xmlrpc-c tracking bugs for this issue:

Affects: fedora-all [bug 2057433]

Comment 10 errata-xmlrpc 2022-06-28 14:58:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:5244 https://access.redhat.com/errata/RHSA-2022:5244

Comment 11 errata-xmlrpc 2022-06-28 18:31:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:5314 https://access.redhat.com/errata/RHSA-2022:5314

Comment 12 errata-xmlrpc 2022-10-26 20:08:09 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Core Services

Via RHSA-2022:7144 https://access.redhat.com/errata/RHSA-2022:7144

Comment 13 errata-xmlrpc 2022-10-26 20:21:41 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 7
  JBoss Core Services for RHEL 8

Via RHSA-2022:7143 https://access.redhat.com/errata/RHSA-2022:7143

Comment 15 errata-xmlrpc 2022-11-08 10:34:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:7811 https://access.redhat.com/errata/RHSA-2022:7811

Comment 16 Product Security DevOps Team 2022-12-03 22:33:14 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-25313


Note You need to log in before you can comment on or make changes to this bug.